---
title: MediaTrackControls.volume
slug: Web/API/MediaTrackConstraints/volume
tags:
  - API
  - Audio
  - Constraints
  - Media
  - Media Capture and Streams API
  - Media Streams API
  - MediaTrackConstraints
  - Property
  - Reference
  - Volume
  - WebRTC
  - getusermedia
---
<div>{{APIRef("Media Capture and Streams")}}{{obsolete_header}}</div>

<p>The {{domxref("MediaTrackConstraints")}} dictionary's <code><strong>volume</strong></code> property is a {{domxref("ConstrainDouble")}} describing the requested or mandatory constraints placed upon the value of the {{domxref("MediaTrackSettings.volume", "volume")}} constrainable property.</p>

<p>If needed, you can determine whether or not this constraint is supported by checking the value of {{domxref("MediaTrackSupportedConstraints.volume")}} as returned by a call to {{domxref("MediaDevices.getSupportedConstraints()")}}. However, typically this is unnecessary since browsers will ignore any constraints they're unfamiliar with.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>constraintsObject</em> = { volume: <em>constraint</em> };

<em>constraintsObject</em>.volume = <em>constraint</em>;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("ConstrainDouble")}} describing the acceptable or required value(s) for an audio track's volume, on a linear scale where 0.0 means silence and 1.0 is the highest supported volume.</p>

<p>If this value is a number, the user agent will attempt to obtain media whose volume is as close as possible to this number given the capabilities of the hardware and the other constraints specified. Otherwise, the value of this {{domxref("ConstrainDouble")}} will guide the user agent in its efforts to provide an exact match to the required volume (if <code>exact</code> is specified or both <code>min</code> and <code>max</code> are provided and have the same value) or to a best-possible value.</p>

<p>Any constraint set which only permits values outside the range 0.0 to 1.0 cannot be satisfied and will result in failure.</p>

<h2 id="Example">Example</h2>

<p>See {{SectionOnPage("/en-US/docs/Web/API/Media_Streams_API/Constraints", "Example: Constraint exerciser")}} for an example.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaTrackConstraints.volume")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Media_Streams_API">Media Capture and Streams API</a></li>
 <li><a href="/en-US/docs/Web/API/Media_Streams_API/Constraints">Capabilities, constraints, and settings</a></li>
 <li>{{domxref("MediaTrackConstraints")}}</li>
 <li>{{domxref("MediaDevices.getSupportedConstraints()")}}</li>
 <li>{{domxref("MediaTrackSupportedConstraints")}}</li>
 <li>{{domxref("MediaStreamTrack")}}</li>
</ul>
